Skip to main content

Get an enterprise authorization of a profile

GET 

/nevisidm/api/core/v1/:clientExtId/profiles/:profileExtId/eauthorizations/:extId

Since: 2.75.2, 2.76.0

Required permission(s): AccessControl.ProfileView or SelfAdmin Role

Returns the enterprise authorization with the given external ID for the specified profile and client.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    profileExtId stringrequired

    External ID of the profile.

    Example: profile-123
    extId stringrequired

    External ID of the enterprise authorization.

    Example: eauth-123

Responses

Enterprise authorization found

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the enterprise authorization.

    enterpriseRoleExtId string

    The external ID of the enterprise role.

    validity object

    Describes the validity period of the authorization.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

Loading...